"""Added Discord Settings to LauncherSettings Table

Revision ID: 26ad9b14b180
Revises: 59a004fd30a9
Create Date: 2024-04-04 11:26:32.139713

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '26ad9b14b180'
down_revision = '59a004fd30a9'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('launcher_settings', schema=None) as batch_op:
        batch_op.add_column(sa.Column('discord_bot_enabled', sa.Boolean(), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_token', sa.String(length=255), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_server_id', sa.String(length=255), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_channel_id', sa.String(length=255), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_admin_role_id', sa.String(length=255), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_rcon_role_id', sa.String(length=255), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_rcon_enabled', sa.Boolean(), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_joins_enabled', sa.Boolean(), nullable=True))
        batch_op.add_column(sa.Column('discord_bot_leaves_enabled', sa.Boolean(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('launcher_settings', schema=None) as batch_op:
        batch_op.drop_column('discord_bot_leaves_enabled')
        batch_op.drop_column('discord_bot_joins_enabled')
        batch_op.drop_column('discord_bot_rcon_enabled')
        batch_op.drop_column('discord_bot_rcon_role_id')
        batch_op.drop_column('discord_bot_admin_role_id')
        batch_op.drop_column('discord_bot_channel_id')
        batch_op.drop_column('discord_bot_server_id')
        batch_op.drop_column('discord_bot_token')
        batch_op.drop_column('discord_bot_enabled')

    # ### end Alembic commands ###
